Skip to content
Start here

Fetch details of a session

GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}

Returns data of the given session ID including recording details.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
session_id: string
Query ParametersExpand Collapse
include_breakout_rooms: optional boolean

List all breakout rooms

ReturnsExpand Collapse
data: optional object { session }
session: optional object { id, associated_id, created_at, 12 more }
id: string

ID of the session

associated_id: string

ID of the meeting this session is associated with. In the case of V2 meetings, it is always a UUID. In V1 meetings, it is a room name of the form abcdef-ghijkl

created_at: string

timestamp when session created

live_participants: number

number of participants currently in the session

max_concurrent_participants: number

number of maximum participants that were in the session

meeting_display_name: string

Title of the meeting this session belongs to

minutes_consumed: number

number of minutes consumed since the session started

organization_id: string

App id that hosted this session

started_at: string

timestamp when session started

status: "LIVE" or "ENDED"

current status of session

One of the following:
"LIVE"
"ENDED"
type: "meeting" or "livestream" or "participant"

type of session

One of the following:
"meeting"
"livestream"
"participant"
updated_at: string

timestamp when session was last updated

breakout_rooms: optional array of unknown
ended_at: optional string

timestamp when session ended

meta: optional unknown

Any meta data about session.

success: optional boolean

Fetch details of a session

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/sessions/$SESSION_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": {
    "session": {
      "id": "id",
      "associated_id": "associated_id",
      "created_at": "created_at",
      "live_participants": 0,
      "max_concurrent_participants": 0,
      "meeting_display_name": "meeting_display_name",
      "minutes_consumed": 0,
      "organization_id": "organization_id",
      "started_at": "started_at",
      "status": "LIVE",
      "type": "meeting",
      "updated_at": "updated_at",
      "breakout_rooms": [
        {}
      ],
      "ended_at": "ended_at",
      "meta": {}
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "session": {
      "id": "id",
      "associated_id": "associated_id",
      "created_at": "created_at",
      "live_participants": 0,
      "max_concurrent_participants": 0,
      "meeting_display_name": "meeting_display_name",
      "minutes_consumed": 0,
      "organization_id": "organization_id",
      "started_at": "started_at",
      "status": "LIVE",
      "type": "meeting",
      "updated_at": "updated_at",
      "breakout_rooms": [
        {}
      ],
      "ended_at": "ended_at",
      "meta": {}
    }
  },
  "success": true
}